nktlst
@nktlst

Какую минимальную версию Android должно поддерживать хорошее приложение?

Подразумевается, что приложение массовое и будет использоваться на бюджетных телефонах.
Необходима поддержка загрузки файлов с телефона (фото с камеры или из галереи) на http-сервер.
  • Вопрос задан
  • 4481 просмотр
Решения вопроса 1
@mamkaololosha
Можно считать примерно минус 2-3 года. В вашем случае 4.0-4.2+. Еще выходит уже Android 5.0 Lollilpop
Ответ написан
Пригласить эксперта
Ответы на вопрос 5
anyd3v
@anyd3v
"будет использоваться на бюджетных телефонах"
сейчас андроид 4 на эксплеях/флаях/еtc стоит от 3к.

официально андроидов ниже 4 ~9.6% (https://developer.android.com/intl/ru/about/dashbo...
в одном реальном приложении их порядка 8%

Сами делайте выбор, хотите ли вы ради этих людей тратить свое время на поддержку телефонов, которые уже несколько лет не выпускают(может они и есть но я на прилавках не видел).

Если приложение рассчитано на "массу", те доход зависит на прямую от кол-ва пользователей (социалка к примеру), то делайте, иначе я считаю не окупите (как показал личный опыт пользователи андроида 2.x не платят)
Ответ написан
Alexious_sh
@Alexious_sh
Все завист от ваших потребностей, от аудитории, на которую рассчитывается приложение, и вообще много от чего. В целом, согласен с предыдущим ответом, что уже вполне можно ограничиться 4.0+. Если не сложно, то можно попробовать снизить планку до 2.3+, если важны несколько процентов пользователей, кто упорно не хочет менять устройство.
Ответ написан
xmoonlight
@xmoonlight
https://sitecoder.blogspot.com
Реальная инфа: от 2.2+ покрытие по статистике 7815/8101, выпало 286. (чат-приложение)
Ответ написан
Lerg
@Lerg
Defold, Corona, Lua, GameDev
Уровня 2.3+ достаточно для большинства приложений. Если вам чего-то из API не хватает, то 4.0+ берите.
Ответ написан
maaGames
@maaGames
Погроммирую программы
Поделюсь статистикой одной из своих игрушек. У меня поддержка начиная с версии 2.2.

3f69644bd1e24ca697e5ca269365735f.png
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы